Project Repository
- PATCH
- /workspaces
- /:workspace
- /targets
- /:target_id
Update Project Repository target configuration
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/targets/:target_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"type": "PROJECT_REPO",
"allowed_environments": [
{
"project": "my-project",
"environment": "staging",
"access_level": "READ_ONLY"
},
{
"project": "my-project",
"environment": "production",
"access_level": "READ_WRITE"
}
]
}'STATUS
200 OK